Subject: [mpls] A question about RFC 4379 "Detecting MPLS Data Plane Failures"

From: Alexander Vainshtein <[email-masked]>
Date: Wed, 20 Jun 2012 14:10:56 +0000

Kireeti and Gorge, hi!

My colleague and I have found the following test in Section 4.5 "Sending an MPLS Echo Reply" of RFC 4379<http://datatracker.ietf.org/doc/rfc4379/?include_text=1>:
If the Reply Mode in the echo request is "Reply via an IPv4 UDP packet with Router Alert", then the IP header MUST contain the Router Alert IP option.  If the reply is sent over an LSP, the topmost label MUST in this case be the Router Alert label (1) (see [LABEL-STACK]).

I think that this text admits two different interpretations:

1.       Always add the Router Alert label on top of the label stack of the LSP thru which the MPLS Echo reply is sent

2.       Add the Router Alert label on top of the label stack of the LSP thru which the MPLS Echo reply is sent if the requested reply mode is "Reply with Router Alert".

The ambiguity exists because:

1.       The text is broken into two sentences separated by full stop

2.       The meaning of "this case" in the 2nd sentence is not clear.

My gut feeling is that the 2nd interpretation is correct, but no the 1st.  Did I miss something? If not, do you think a new erratum is required? (I've checked the current ones, and they do not deal with this issue).

Regards, and lots of thanks in advance,
     Sasha

This e-mail message is intended for the recipient only and contains information which is CONFIDENTIAL and which may be proprietary to ECI Telecom. If you have received this transmission in error, please inform us by e-mail, phone or fax, and then delete the original and all copies thereof.